<?php

namespace FiloBlu\ExtEbizmartsMailChimp\Setup;

use Magento\Framework\Setup\UpgradeSchemaInterface;
use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\Setup\SchemaSetupInterface;

class UpgradeSchema implements UpgradeSchemaInterface {

    public function upgrade(SchemaSetupInterface $setup, ModuleContextInterface $context) {
        $setup->startSetup();
        if (version_compare($context->getVersion(), '1.0.1') < 0) {

            // Get module table
            $tableName = $setup->getTable('mailchimp_sync_ecommerce');

            // Check if the table already exists
            if ($setup->getConnection()->isTableExists($tableName) == true) {
                $setup->getConnection()->addIndex(
                        $setup->getTable('mailchimp_sync_ecommerce'), $setup->getIdxName('mailchimp_sync_ecommerce_join_entity', ['mailchimp_store_id','type','related_id']), ['mailchimp_store_id','type','related_id']
                );
            }
        }

        $setup->endSetup();
    }

}
